Attachments

Upload attachments to a conversation draft

Upload attachments to a conversation draft.

POST
/attachments/conversation/{conversationId}/attachment

Upload attachments to a conversation draft.

Authorization

bearerToken
AuthorizationBearer <token>

Personal access tokens created from the ThriveDesk UI. Create one under Integrations -> API Keys.

In: header

Path Parameters

conversationId*string

Conversation identifier. Named in camelCase, unlike the snake_case path parameters elsewhere.

Request Body

multipart/form-data

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/attachments/conversation/string/attachment" \  -F attachments[]="[    \"string\"  ]"
{  "message": "string",  "draft_id": "string",  "data": [    {      "attachment_id": "string",      "name": "string",      "size": 0,      "type": "string",      "inline": true    }  ]}